View source Improve this doc

# `ngSwipeLeft`
directive in module `ngTouch`

## Description

Specify custom behavior when an element is swiped to the left on a touchscreen device. A leftward swipe is a quick, right-to-left slide of the finger. Though ngSwipeLeft is designed for touch-based devices, it will work with a mouse click and drag too.

Requires the `ngTouch` module to be installed.

## Usage

as attribute

    <ANY ng-swipe-left="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-swipe-left: {expression};">
       ...
    </ANY>

#### Parameters

Param | Type | Details
--- | --- | ---
ngSwipeLeft | expression | Expression to evaluate upon left swipe. (Event object is available as `$event`)

## Example

#### Source

## Demo